Developer Documentation

Public Types | Public Member Functions | Private Attributes | List of all members
DecimaterInfo Class Reference
Inheritance diagram for DecimaterInfo:

## Public Types
enum | DecimationOrder { DISTANCE, NORMALDEV, EDGELENGTH }

## Public Member Functions
PerObjectData * | copyPerObjectData ()
| Copy Function. More...
void | setDistanceConstraint (double _value)
void | setNormalDeviationConstraint (int _value)
void | setNormalFlippingConstraint ()
void | setRoundnessConstraint (double _value)
void | setAspectRatioConstraint (double _value)
void | setEdgeLengthConstraint (double _value)
void | setIndependentSetsConstraint ()
void | setDecimationOrder (DecimationOrder _order)
void | removeDistanceConstraint ()
void | removeNormalDeviationConstraint ()
void | removeNormalFlippingConstraint ()
void | removeRoundnessConstraint ()
void | removeAspectRatioConstraint ()
void | removeEdgeLengthConstraint ()
void | removeIndependentSetsConstraint ()
bool | normalDeviation ()
bool | normalFlipping ()
bool | distance ()
bool | roundness ()
bool | aspectRatio ()
bool | edgeLength ()
bool | independentSets ()
int | normalDeviationValue ()
double | distanceValue ()
double | edgeLengthValue ()
double | aspectRatioValue ()
double | roundnessValue ()
Public Member Functions inherited from PerObjectData
| PerObjectData ()
| You have to provide your own constructor for your object.

## Private Attributes
bool | normalDeviation_
bool | normalFlipping_
bool | distance_
bool | edgeLength_
bool | aspectRatio_
bool | roundness_
bool | independentSets_
DecimationOrder | decimationOrder_
int | normalDeviation_value_
double | distance_value_
double | edgeLength_value_
double | aspectRatio_value_
double | roundness_value_

## Detailed Description

Definition at line 47 of file DecimaterInfo.hh.

## Member Function Documentation

## ◆ copyPerObjectData()

PerObjectData * DecimaterInfo::copyPerObjectData | ( |  | ) |
| virtual

Copy Function.

You have to reimplement this function to allow the core to create a copies of your Object. By default it will return 0;

The function has to create a deep copy of the object, as it will also be used to create backups. If you use pointer inside your class, remember to not copy the pointer only but also the data!

Reimplemented from PerObjectData.

Definition at line 65 of file DecimaterInfo.cc.

The documentation for this class was generated from the following files:

- Plugin-Decimater/DecimaterInfo.hh
- Plugin-Decimater/DecimaterInfo.cc